7
ответов

Включение SSL в MySQL

Я использую Ubuntu Server 12.04 и хочу включить SSL-соединения с MySQL. Я создал следующие файлы ключей / сертификатов с OpenSSL: ca-cert.pem server-cert.pem server-key.pem Я сохранил эти ...
вопрос задан: 03.02.2020
6
ответов

Компиляция последней версии OpenSSL для Android

Я пытаюсь создать общую библиотеку для (.so) файлов OpenSSL1.0.1c для Android. Я обнаружил, что они добавили три варианта компиляции для Android в скрипте Android. . / ...
вопрос задан: 27.01.2020
4
ответа

Ошибка 255 при попытке установить openssl-1.0.1g из исходного кода

установка man1 / cms.1 cms.pod в строке 457: ожидаемый текст после = item, а не число cms.pod в строке 461: ожидаемый текст после = item, а не число cms.pod в строке 465: ожидаемый текст после =. ..
вопрос задан: 25.04.2014
3
ответа

Как включить TLS 1.2 в Nginx?

Как включить TLS 1.1 и 1.2 для соединений SSL на моем сервере Ubuntu 12.04? Я использую следующую версию библиотеки nginx и openssl. $ ./nginx -v nginx версия: nginx / 1.2.3 $ openssl ...
вопрос задан: 20.05.2020
3
ответа

Обновите OpenSSL в Ubuntu 12.04

Я хотел обновить OpenSSL до 1.0.1 в системе Ubuntu 12.04. Я заметил, что apt-get upgrade openssl не завершает обновление OpenSSL. Поддерживается ли более новый OpenSSL в Ubuntu? У меня также ...
вопрос задан: 14.05.2020
3
ответа

Расширение PHP OpenSSL имеет пакет?

Я знаю, что расширение OpenSSL находится в исходном коде PHP, но я не могу включить его, когда выполняю apt-get install php5. Нет даже apt-get install php5-openssl. Как я должен действовать?
вопрос задан: 30.03.2020
3
ответа

Какие протоколы TLS включены в OpenSSL в Ubuntu 14.04?

Это продолжение пакета Override Distro с пользовательским пакетом ?. Кто-нибудь знает, поддерживает ли OpenSSL в Ubuntu 14.04 все протоколы TLS (TLS1.0, TLS1.1 и TLS1.2)? Или у него есть протоколы ...
вопрос задан: 13.04.2017
3
ответа

OpenSSL остается уязвимым после обновления до 14.04 [дубликат]

У нас есть сервер AWS под управлением OpenVPN, который был построен с использованием Ubuntu 13.10. После объявления об уязвимости Heartbleed мы обновили сервер. Сегодня утром мы обновили сервер до 14.04. ...
вопрос задан: 08.05.2014
3
ответа

Я использую Ubuntu 12.04 в качестве живого настольного компакт-диска для банковских операций. Могу ли я столкнуться с ошибкой Heartbleed?

Я не использую Apache или что-либо, запускающее ssl libray, так есть ли в Ubuntu служба, которая по умолчанию запускает Open ssl? Итак, я просто загружаю сеанс в реальном времени для интернет-браузера. Я в безопасности?
вопрос задан: 19.04.2014
2
ответа

Как мы тестируем после обновления до 1.0.1-4ubuntu5.12 (какие-нибудь возможные команды тестирования, чтобы знать, что конфигурация работает после обновления?)?

Как мы тестируем после обновления до 1.0.1-4ubuntu5.12 (любые возможные команды тестирования, чтобы знать, что конфигурация работает сразу после обновления)? Также обратите внимание, я должен был перезагрузить сервер после перезагрузки: когда ...
вопрос задан: 19.05.2020
2
ответа

Как заставить все соединения с моим Apache использовать TLSv1.1 или TLSv1.2?

Я тестировал на Ubuntu 12.04 (apache 2.2.22-1ubuntu1.4 и openssl 1.0.1-4ubuntu5.10) и Ubuntu 13.04 (apache 2.2.22-6ubuntu5.1 и openssl 1.0.1c-4ubuntu8.1). вот объясните как это сделать, но у меня есть ...
вопрос задан: 13.04.2020
2
ответа

Когда в Ubuntu появятся цифровые сертификаты от корневого правительства Индии, PK PKI CCA India 2007?

Ubuntu для всех платформ (ноутбуки + мобильные телефоны) должен уважать и содержать корневые сертификаты CA и CA правительства Индии и улучшать соответствие индийскому закону об ИТ 2000 (перекрестная сертификация) и закону ...
вопрос задан: 10.04.2020
2
ответа

Ошибки зависимости в установке Ubuntu

Я пытаюсь исправить настройку APT на сервере Ubuntu, к которому у меня есть только SSH-доступ, и я не могу решить проблему зависимости. Я запустил sudo apt-get install -f и получил следующее: ...
вопрос задан: 08.04.2020
2
ответа

Bind9 - проблема openssl

когда я пытаюсь запустить bind9; просто потерпеть неудачу из-за chroot & amp; openssl /etc/init.d/bind9 начать журнал сообщений; 17 февраля 08:26:27 ISTVS2024 с именем [2440]: инициализация DST: сбой openssl 17 февраля 08:26:27 ...
вопрос задан: 29.02.2020
2
ответа

Ubuntu 12.04 LTS, SSL, IRC: Невозможно собрать с OpenSSL

У меня небольшой сервер под управлением Ubuntu 12.04 LTS. На нем я хотел настроить IRC с поддержкой SSL. Похоже, что ircd-гибрид наиболее популярен. Я не женат, чтобы использовать его, поэтому другие варианты приветствуются. ...
вопрос задан: 27.02.2020
2
ответа

Не могу найти openssl

Я пытаюсь работать с Boost: asio, чтобы установить соединение SSL. Теперь мой компилятор говорит, что он не может найти openssl / conf.h Я хотел бы знать, где находится этот путь и как решить эту проблему. Спасибо в ...
вопрос задан: 10.02.2020
2
ответа

Невозможно найти пакет libopenssl1.8

В ответ на это сообщение http://www.ruby-forum.com/topic/188432 я пытаюсь установить libopenssl1.8, но получаю сообщение об ошибке: viggy @ ubuntu: ~ / Documents / github / Core3 $ sudo apt -установите libopenssl1.8 ...
вопрос задан: 10.02.2020
2
ответа

Установите ruby ​​1.9.2-p180 через RVM в Ubuntu 12.04

Я только что обновился до новейшей версии Ubuntu, и это сломало мой ruby ​​на установке rails. Я бы хотел установить ruby ​​1.9.2-p180 через RVM: rvm install ruby-1.9.2-p180 Это отменено из-за некоторых ...
вопрос задан: 05.01.2020
2
ответа

Как передать переменную в команду exec в ожидаемом скрипте?

Цель сценария - прочитать зашифрованный файл «.pass» и расшифровать файл, используя PublicKey, и расшифрованный вывод должен быть сохранен. Положит $ output, чтобы показать расшифрованный пароль. ...
вопрос задан: 19.01.2019
2
ответа

Расшифровать токен доступа с помощью PHP для шифрования C #

У меня есть URL-адрес API с определенным токеном доступа, который был зашифрован с помощью C # (код ниже), и я хочу расшифровать его с помощью пост-запроса PHP, передав токен доступа параметрам. Может ли кто-нибудь помочь мне ...
вопрос задан: 16.01.2019
2
ответа

Как установить openssl 1.0.2 с openssl по умолчанию (1.1.1) в Ubuntu 16.04?

P4Python не работает в Ubuntu 16.04, поскольку дистрибутив поставляется с OpenSSL 1.1.0g. (Подробнее). Я пытаюсь собрать P4Python из исходного кода, используя путь --ssl / to / openssl1.0. Мне нужно установить OpenSSL 1 ....
вопрос задан: 29.01.2018
2
ответа

Используя OpenSSL, что & ldquo; неспособно написать 'случайное состояние' & rdquo; имею в виду?

Я создаю самозаверяющий SSL-сертификат для защиты раздела администратора моего сервера и продолжаю получать это сообщение от OpenSSL: невозможно написать «случайное состояние». Что это значит? Это на ...
вопрос задан: 17.02.2017
2
ответа

Полностью удалить версию openssl dev

Я установил версию OpenSSL Dev от GitHub. Однако теперь я хочу удалить его для установки openssl из официальных репозиториев. Я попытался удалить его с помощью sudo apt-get remove --purge openssl, но все равно ...
вопрос задан: 25.02.2016
2
ответа

Создан новый ключ OpenSSL, и я не знаю, где находится мой CSR-файл?

Все еще много узнаю об Ubuntu и управлении сервером. Мне нужно сгенерировать новый сертификат SSL, и я следовал учебнику о том, как создать файл CSR. Я выполнил следующую команду: openssl ...
вопрос задан: 13.05.2015
2
ответа

SSL23_GET_SERVER_HELLO: неизвестный протокол при попытке доступа к URL-адресу HTTPS

Пытаясь создать промежуточную среду для моего сайта WORDPRESS, я не могу настроить конфигурацию HTTPS. Я скопировал папку WordPress и сделал резервную копию базы данных Mysql и смог ...
вопрос задан: 03.02.2015
2
ответа

OpenSSL установлен, но Ruby не может этого потребовать

Я пытаюсь настроить github-страницы на своем ноутбуке Ubuntu, и, следуя инструкциям, предоставленным Github, я должен установить пакет bundler; давая команду ~ $ gem install bundler возвращает мне это ...
вопрос задан: 19.08.2014
2
ответа

OpenSSL автоматически получает откат до версии по умолчанию в Ubuntu 12.04.4

Я установил Ubuntu 12.04.4 на мою машину, и он получил версию OpenSSL 1.0.1 с сердцем. Поэтому я удалил OpenSSL 1.0.1 и установил новую версию 1.0.1h, ссылаясь на эту ссылку. Я применил патч ...
вопрос задан: 06.08.2014
2
ответа

Как исправить уязвимость [CVE-2014-0224] в OpenSSL?

Я получил предупреждение от органа, сгенерировавшего мой сертификат, в котором говорится, что в OpenSSL есть ошибка, и она была обнаружена в версиях 1.0.1. Как я понял, мне нужно обновиться до 1 ....
вопрос задан: 07.06.2014
1
ответ

Предоставляет ли Ubuntu исправленную версию openssl для 12.10? [Дубликат]

12.10 в конце жизни в апреле 2014 года.
вопрос задан: 19.05.2020
1
ответ

Что означает BuildID SHA1?

Я изучал это в окне терминала ubuntu unity, когда это появилось: Когда я набрал: file / bin / ls, вывод: / bin / ls: ELF 64-битный исполняемый файл LSB, x86-64, версия 1 (SYSV), динамически ...
вопрос задан: 11.05.2020